HyperTrackDocs
Workers

Get Ops Group by Handle

Fetch ops group by ops_group_handle

GET
/workers/ops-groups/{ops_group_handle}

Fetch ops group by ops_group_handle

Authorization

AuthorizationBasic <token>

In: header

Path Parameters

ops_group_handle*string

Query Parameters

include_schedule?boolean

Flag to include ops group's schedule in the response.

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/workers/ops-groups/string"
{  "ops_group_handle": "san-jose-store",  "ops_group_label": "store",  "timezone": "America/Los_Angeles",  "route_start_location": "ops_group_home",  "route_completion_type": "manual",  "ops_group_home": {    "geometry": {      "type": "Point",      "coordinates": [        -121.94186,        37.3570534      ]    },    "address": "1709 Automation Pkwy, San Jose, CA 95101"  },  "objective_fn": "minimise_time",  "route_capacity": 10,  "route_max_distance": 20000,  "default_shift_start_time": "07:00",  "default_shift_end_time": "19:00",  "order_tracking_mode": "manual",  "shift_availability_mode": "manual",  "order_tracking_automation": {    "type": "manual"  }}
{  "detail": {},  "message": "string"}
{  "detail": {},  "message": "string"}
{  "detail": {    "<location>": {      "<field_name>": [        "string"      ]    }  },  "message": "string"}